<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"> </script>

<br>
<div style="margin-top: 50px" class="row page-titles">
  <div class="col-md-5 align-self-center">
    <h3 class="text-primary">Teachers</h3>
  </div>
</div>

<div class="container">
  <div class="card top">
    <div class="row">
      <div class="col-md-1 pull-right">
        <%= link_to 'New', new_user_path , class: "btn btn-info float-right mr-3" %> 
      </div>
      <div class="col-md-1 pull-right">
        <%= link_to 'Back', welcome_user_path , class: "btn btn-warning float-right mr-3" %>
      </div>
    </div>
  </div>
</div>
<br>

<table id="teacher_list">
  <thead>
    <tr>
      <th>User name</th>
      <th>Email</th>
      <!-- <th>Password</th> -->
      <th>Education qualification</th>
      <!-- <th>Role</th> -->
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @users.each do |user| %>
      <tr>
        <td><%= user.user_name %></td>
        <td><%= user.email_id %></td>
        <!-- <td><%#= user.password %></td> -->
        <td><%= user.education_qualification %></td>
        <!-- <td><%#= user.role_id %></td> -->
        <td><%= link_to "<i class='fa fa-eye' title='Teacher'></i>".html_safe, user %></td>
        <td><%= link_to "<i class='fa fa-pencil' title='Edit Teacher'></i>".html_safe, edit_user_path(user) %></td>
        <td><%= link_to "<i class='fa fa-trash' title='Delete Teacher'></i>".html_safe, user, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<script type="text/javascript">
  $(document).ready(function(){
    $('#teacher_list').dataTable();
  });
</script>

